@import "../../../styles/variables";

.cm_container {
  position: fixed;
  opacity: 0;
  transform: scale(0);
  transition: transform 0.1s;
  transform-origin: top left;
  padding: 0;
}

.cm_container.display {
  opacity: 1;
  transform: scale(1);
}

.cm_container,
.cm_container * {
  box-sizing: border-box;
}

.cm_container * {
  position: relative;
}

.cm_container ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
  background-color: $contextMenuBgColor;
  box-shadow: 0 0 5px #333;
  opacity: 0.88;
}

.cm_container li {
  display: flex;
  padding: 5px 10px;
  padding-right: 1.7em;
  cursor: pointer;
  white-space: nowrap;
}

.cm_container li:hover {
  background-color: #bbb;
}

.cm_container li .cm_icon_span {
  width: 2em;
  height: 1.5em;
  vertical-align: bottom;
  display: inline-block;
  border-right: 1px solid #aaa;
  margin-right: 0.5rem;
  padding-right: 0.25rem;
  //text-align: center;
}

li .cm_text {
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.cm_container li .cm_sub_span {
  width: 1em;
  display: inline-block;
  text-align: center;
  position: absolute;
  top: 50%;
  right: 0.5em;
  transform: translateY(-50%);
}

.cm_container li > ul {
  position: absolute;
  top: 0;
  left: 100%;
  opacity: 0;
  transition: opacity 0.2s;
  visibility: hidden;
}

.cm_container li:hover > ul {
  opacity: 1;
  visibility: visible;
}

.cm_container li.cm_divider {
  border-bottom: 1px solid #aaa;
  margin: 4px;
  padding: 1px;
  cursor: default;
}

.cm_container li.cm_divider:hover {
  background-color: inherit;
}

.cm_container.cm_border_right > ul ul {
  left: -100%;
}

.cm_container.cm_border_bottom > ul ul {
  top: unset;
  bottom: 0;
}

.cm_container li[disabled=""] {
  color: #777;
  cursor: not-allowed;
}

.cm_container li[disabled=""]:hover {
  background-color: inherit;
}

.cm_container li[disabled=""] .cm_icon_span {
  opacity: 0.5;
}
